; Akeeba core engine configuration values
; Copyright (c)2009-2014 Nicholas K. Dionysopoulos
; Version $Id$

; ======================================================================
; Basic core engine configuration
; ======================================================================

[_group]
description = CONFIG_HEADER_BASIC

; Output directory
[akeeba.basic.output_directory]
default = "[DEFAULT_OUTPUT]"
type = browsedir
title = CONFIG_OUTDIR_TITLE
description = CONFIG_OUTDIR_DESCRIPTION

; Log level
[akeeba.basic.log_level]
default = 4
type = enum
enumkeys = "CONFIG_LOGLEVEL_NONE|CONFIG_LOGLEVEL_DEBUG"
enumvalues = "0|4"
title = CONFIG_LOGLEVEL_TITLE
description = CONFIG_LOGLEVEL_DESCRIPTION

; Archive name (template name, no extension, no path!)
[akeeba.basic.archive_name]
default = "site-[HOST]-[DATE]-[TIME]"
type = string
title = CONFIG_ARCHIVENAME_TITLE
description = CONFIG_ARCHIVENAME_DESCRIPTION

; Backup type
[akeeba.basic.backup_type]
default = full
type = enum
enumkeys = "CONFIG_BACKUPTYPE_FULL|CONFIG_BACKUPTYPE_DBONLY"
enumvalues = "full|dbonly"
title = CONFIG_BACKUPTYPE_TITLE
description = CONFIG_BACKUPTYPE_DESCRIPTION

; Client-side wait
[akeeba.basic.clientsidewait]
default = 0
type = bool
title = CONFIG_CLIENTSIDEWAIT_TITLE
description = CONFIG_CLIENTSIDEWAIT_DESCRIPTION

; Client-server communications
[akeeba.basic.useiframe]
default = 0
type = bool
title = CONFIG_USEIFRAMES_TITLE
description = CONFIG_USEIFRAMES_DESCRIPTION

; Use database storage instead of temporary files
[akeeba.core.usedbstorage]
default = 0
type = bool
title = CONFIG_USEDBSTORAGE_TITLE
description = CONFIG_USEDBSTORAGE_DESCRIPTION
